repliaset test failure

Bug #1321461 reported by Ian Booth on 2014-05-20
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
juju-core
High
Andrew Wilkins

Bug Description

From http://juju-ci.vapour.ws:8080/job/walk-unit-tests-amd64-trusty/296/console

FAIL: replicaset_test.go:156: MongoSuite.TestAddRemoveSet

[LOG] 0:00.006 DEBUG juju.testing starting mongo in /tmp/test-mgo140293469
[LOG] 0:00.007 DEBUG juju.testing found mongod at: "/usr/bin/mongod"
[LOG] 0:00.127 DEBUG juju.testing started mongod pid 15065 in /tmp/test-mgo140293469 on port 51513
[LOG] 0:00.140 DEBUG juju.testing starting mongo in /tmp/test-mgo707574552
[LOG] 0:00.141 DEBUG juju.testing found mongod at: "/usr/bin/mongod"
[LOG] 0:00.309 DEBUG juju.testing started mongod pid 15108 in /tmp/test-mgo707574552 on port 42267
[LOG] 0:00.352 DEBUG juju.testing starting mongo in /tmp/test-mgo023228311
[LOG] 0:00.353 DEBUG juju.testing found mongod at: "/usr/bin/mongod"
[LOG] 0:00.476 DEBUG juju.testing started mongod pid 15153 in /tmp/test-mgo023228311 on port 35431
[LOG] 0:00.488 DEBUG juju.testing starting mongo in /tmp/test-mgo196706826
[LOG] 0:00.489 DEBUG juju.testing found mongod at: "/usr/bin/mongod"
[LOG] 0:00.603 DEBUG juju.testing started mongod pid 15197 in /tmp/test-mgo196706826 on port 48209
[LOG] 0:00.612 DEBUG juju.replicaset Add() changing replica set
from {Name: juju, Version: 1, Members: {Member{1 "localhost:45616" map[foo:bar]}}}
  to {Name: juju, Version: 2, Members: {Member{1 "localhost:45616" map[foo:bar]}, Member{2 "localhost:51513" map[key0:val0]}, Member{3 "localhost:42267" map[key1:val1]}, Member{4 "localhost:35431" map[key2:val2]}, Member{5 "localhost:48209" map[key3:val3]}}}
Add() 1 attempts in 182.234251ms
CurrentConfig() 1 attempts in 7.727324ms
[LOG] 0:00.803 DEBUG juju.replicaset Remove() changing replica set
from {Name: juju, Version: 2, Members: {Member{1 "localhost:45616" map[foo:bar]}, Member{2 "localhost:51513" map[key0:val0]}, Member{3 "localhost:42267" map[key1:val1]}, Member{5 "localhost:48209" map[key3:val3]}, Member{5 "localhost:48209" map[key3:val3]}}}
  to {Name: juju, Version: 3, Members: {Member{1 "localhost:45616" map[foo:bar]}, Member{2 "localhost:51513" map[key0:val0]}, Member{3 "localhost:42267" map[key1:val1]}}}
[LOG] 0:00.808 DEBUG juju.replicaset got EOF while running Remove(), calling session.Refresh()
attempting Remove got error: no reachable servers
[LOG] 0:16.086 DEBUG juju.replicaset Remove() changing replica set
from {Name: juju, Version: 3, Members: {Member{1 "localhost:45616" map[foo:bar]}, Member{2 "localhost:51513" map[key0:val0]}, Member{3 "localhost:42267" map[key1:val1]}}}
  to {Name: juju, Version: 4, Members: {Member{1 "localhost:45616" map[foo:bar]}, Member{2 "localhost:51513" map[key0:val0]}, Member{3 "localhost:42267" map[key1:val1]}}}
Remove() 2 attempts in 17.372879378s
CurrentMembers() 1 attempts in 537.313us
[LOG] 0:18.176 DEBUG juju.replicaset Set() changing replica set
from {Name: juju, Version: 4, Members: {Member{1 "localhost:45616" map[foo:bar]}, Member{2 "localhost:51513" map[key0:val0]}, Member{3 "localhost:42267" map[key1:val1]}}}
  to {Name: juju, Version: 5, Members: {Member{4 "localhost:35431" map[key2:val2]}, Member{3 "localhost:42267" map[key1:val1]}, Member{1 "localhost:45616" map[foo:bar]}, Member{5 "localhost:48209" map[key3:val3]}}}
[LOG] 0:18.187 DEBUG juju.replicaset got EOF while running Set(), calling session.Refresh()
[LOG] 0:18.188 DEBUG juju.testing tls.Dial(127.0.0.1:45616) failed with EOF
attempting Set got error: no reachable servers
current session mode: 2
attempting Set got error: cannot get replset config: no reachable servers
current session mode: 2
[LOG] 0:49.756 DEBUG juju.replicaset Set() changing replica set
from {Name: juju, Version: 5, Members: {Member{4 "localhost:35431" map[key2:val2]}, Member{3 "localhost:42267" map[key1:val1]}, Member{1 "localhost:45616" map[foo:bar]}, Member{5 "localhost:48209" map[key3:val3]}}}
  to {Name: juju, Version: 6, Members: {Member{4 "localhost:35431" map[key2:val2]}, Member{3 "localhost:42267" map[key1:val1]}, Member{1 "localhost:45616" map[foo:bar]}, Member{5 "localhost:48209" map[key3:val3]}}}
Set() 3 attempts in 31.589933897s
attempting session.Ping() got error: no reachable servers after 15.037872401s
attempting session.Ping() got error: no reachable servers after 30.077374382s
session.Ping() 3 attempts in 45.107545163s
replicaset_test.go:299:
    c.Assert(err, gc.IsNil)
... value *errors.errorString = &errors.errorString{s:"no reachable servers"} ("no reachable servers")

Related branches

Ian Booth (wallyworld) on 2014-05-20
tags: added: test-failure
Andrew Wilkins (axwalk) on 2014-05-21
Changed in juju-core:
status: Triaged → In Progress
assignee: nobody → Andrew Wilkins (axwalk)
Andrew Wilkins (axwalk) on 2014-05-21
Changed in juju-core:
status: In Progress → Fix Committed
Curtis Hovey (sinzui) on 2014-05-30
Changed in juju-core:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers